About Atalasoft

Atalasoft, is a software development company, specializing in imaging and database applications. Products available at the time of this release are as follows:

EyeBatch 1.5

EyeBatch is a powerful and intuitive batch image processor. Select from many image functions such as resize, convert, watermark, drop shadow, thumbnail, etc. Each function within itself is simple to use, yet elaborate effects can be achieved by utilizing numerous functions. Extraordinary previewing capabilities. EyeBatch may be used for single or multiple image processing. Perfect for preparing images for the web and making thumbnails.

EyeBatch Pro 1.0

EyeBatch Pro will have all the features in EyeBatch plus the following:

  • Web Pages with many powerful and custom features
  • Contact sheets
  • Batch Printing
  • Interact (allows user interaction on each image at a specific point in the batch process)
  • Built in Image Editor

    EyeBatch Pro was in development and very close to public beta at the time this help file was created (4/20/2001) .


Technical Support

Email support is available at support@atalasoft.com.
You should receive a response typically within 12 hours.

Visit http://www.atalasoft.com/ for the online support forum and up to date information regarding EyeBatch.


Registration

The only limitation to the 30 day evaluation is only 100 images can be processed at a time. Registering EyeBatch removes this restriction and enables you to process an unlimited number of images.

During or after the 30 day evaluation period, EyeBatch must be registered using secure online credit card processing. Registering will remove the restrictions of an expired evaluation version. The expired version is able to work with one image at a time. Registration is $24.95 and can be ordered online with a secure credit card purchase at:
http://www.atalasoft.com/register.html

Your registration code will be automatically emailed to you immediately after your purchase.

Alternatively, you may send a check or money order for $24.95 along with this order form to:

Atalasoft
304 East Mountain Rd.
Westfield, MA 01085

Please supply your email address for quickest processing.

Please note that as stated in the license agreement, EyeBatch may be installed only on one system at a time.


License

Software License Agreement

The following is a legal software license agreement between you, the LICENSEE, and Atalasoft. Carefully read this license agreement before using the product. Using the product indicates that you have read this license agreement and agree to its terms. This evaluation version is not free software. All rights and licenses to the evaluation version automatically expire after 30 days, after which you must order the registered version or stop using the software.

Grant of License. This license permits you to use one copy of the software included in this package on any single computer. For each software license, the program can be in use on only one computer at any given time. The software is in use when it is either loaded into RAM or installed into the hard disk or other permanent memory.

Atalasoft has acquired a license under US Patent No. 4,558,302 and foreign counterparts from Unysis corporation to include GIF and LZW TIFF read and write support. The LZW compatible version is strictly forbidden to run on a web server. Also, it can not be used for writing or publishing GIF or LZW TIFF images to a network drive that is located on a web server. You may upload any image generated with EyeBatch to a web server with another application. A Non-LZW version available from Atalasoft can be used to run on a web server.

You have permission to include and distribute this evaluation version in a commercial Shareware CDROM or other collection, together with other software. If you include it in any such package (Shareware-CDROM or otherwise) please keep us informed.

The software is owned by Atalasoft and is protected by United States copyright laws, international treaty provisions, and all other applicable national laws. The software must be treated like all other copyrighted materials (e.g. books and musical recordings).

In no event shall Atalasoft be liable for any damages whatsoever (including but not limited to damages for loss of business profits, business interruption, loss of business information, or any other pecuniary loss) which results from an inability to use this software, even if advised of the possibility of such damages. Because some states/jurisdictions do not allow the exclusion or limitation of consequential or incidental damages, the above limitations may not apply to you.

OTHER RESTRICTIONS. This License Agreement is your proof of license to exercise the rights granted herein and must be retained by you. LICENSEE may not rent or lease the Product. LICENSEE may not reverse engineer, decompile or disassemble the software program except to the extent such foregoing restriction is expressly prohibited by applicable law.

NO WARRANTY. ANY USE BY LICENSEE IS AT THE LICENSEE'S OWN RISK. PRODUCT IS PROVIDED FOR USE ONLY WITH WINDOWS PRODUCTS AND RELATED APPLICATION SOFTWARE AND/OR HARDWARE PRODUCTS. PRODUCT IS PROVIDED FOR USE "AS IS" WITHOUT WARRANTY OF ANY KIND. TO THE MAXIMUM EXTENT PERMITTED BY LAW, ATALASOFT DISCLAIMS ALL WARRANTIES OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, WITHOUT LIMITATION, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. ATALASOFT IS NOT OBLIGATED TO PROVIDE ANY UPDATES TO THE PRODUCT.

NO LIABILITY FOR CONSEQUENTIAL DAMAGES. In no event shall Atalasoft be liable for any damages whatsoever (including, without limitation, incidental, direct, indirect and consequential damages, damages for loss of business profits, business interruption, loss of business information, or other pecuniary loss) arising out of the use or inability to use this product, even if advised of the possibility of such damages. Because some states/countries do not allow the exclusion or limitation of liability for consequential or incidental damages, the above limitation may not apply to you. Manufacturer is Atalasoft, 304 East Mountain Rd., Westfield, MA 01085.


What's New

What's New in EyeBatch v1.5

GIF image support

  • Read and write GIF images with and without transparency
  • LZW TIF support
  • Easily convert from GIF to 8-bit PNG while keeping transparency

    PNG transparency support

  • Will read and write both 8 bit and 32 bit PNG images with an alpha channel. That means images can be saved with variable transparency. Some browsers now fully support the alpha channel.
  • Many EyeBatch image operations will retain the alpha channel
  • Specify default background color in image operation form and with Background Color image operation.
  • 32 bit depth added to image output settings

    New drop shadow with transparency

  • Much improved drop shadow
  • Variable offset, fading, and gradients
  • Creates a "true" transparent shadow that can be saved as a 32 bit PNG, or overlayed onto another image or background

    New Background Overlay

  • Overlays the main image onto a background
  • The background can be a stretched or tiled image
  • Background will show through and transparent sections

    New Mask Overlay (replaces Image Fade)

  • Includes many new masks courtesy of Sue Chastain http://graphicssoft.about.com
  • Mask overlay now generates an alpha channel that can be saved as a 32 bit PNG or overlayed onto another image or background
  • Many new effects can be achieved with the included 40 installed masks, including torn paper, frosted glass, and more.
  • More masks available at atalasoft.com

    Improved Text Watermark

  • Angled text now works properly
  • Opaque background now will use the transparency setting
  • Text size can now be Points, Pixels, or Percent of image size

    Improved Image Overlay

  • Will now read the alpha channel when overlaying
  • New setting allowing overlay with faded edges

    Improved 8-bit image support

  • Faster image processing with more functions retaining the palette as opposed to promoting to 24 bit
  • Resize now includes option to promote to 24 bit for smoother resizing of 8-bit images

    PNG Optimization

  • New Image Output setting that optimizes the file size of a PNG
  • Will automatically try different techniques and choose the technique resulting in the smallest file size
  • Most effective with images containing less then 256 colors and grayscale images

    New Color Levels Image Operation

  • Adjust Red, Green and Blue levels by a specified value

    New Text File Image Operation

  • Creates a text file including any parameters such as a listing of all EXIF information in an image.

    New Split Channels Image Operation

  • Splits an image into three 8-bit images each including the red, green and blue channel respectively.

    Other changes

  • Files that are saved with Image Type set to the default "Same as original" will keep the same case for the file extension
  • "Dither" renamed to "Reduce Colors"
  • Opacity setting to Add Border and Resize Canvas (allows transparent borders)
  • New Smart Image processing in preferences, will only load image when processing if necessary
  • More efficient Command Line processing
  • Undo any image operation setting
  • DateTime Parameter now can have individual formatting
  • New Preference to toggle EXIF Formatting
  • New Preference to save Image Output Settings in the registry
  • "/h" flag in command line processing that prevents a new DOS window from spawning


Introducing EyeBatch

Introducing EyeBatch 1.5

EyeBatch is a batch image processor that will perform various imaging tasks to multiple images at once, or just one image at a time. Batch image processing is performed by selecting the images to process, selecting the image operations to perform, choosing the output folder, and finally, clicking the "Execute" button.

EyeBatch stands apart from other batch image processors in its ease of use, and many powerful features. It will maintain the alpha channel in PNG images with transparency when saving as well as maintaining the alpha channel with a majority of the imaging functions. This is a first of it's kind for batch image processors.


Selecting Images

Images to process can be selected from multiple folders and network drives. Images may be selected by first clicking on the Select Image tab and using the select buttons or dragging the images into the Selected Images listbox. One or more image must be selected prior to processing. The interface is very much like Windows Exploring with the same methods of sorting, selecting and resizing the panes.

The Image Files listbox displays all images that are in the current folder. Images may be filtered by selecting the desired image type in the drop down box beneath the preview image.

The Selected Images listbox displays all images to be processed in the order that is shown. You may drag and drop image files from any explorer window into this listbox. The filter setting will filter all images as they move into this listbox, not images that are currently in the listbox.

The following command buttons are used for selecting and removing images:
Moves images currently selected in Image Files to the Selected Images listbox
Moves all images in the current folder to the Selected Images listbox
Moves all images in the current folder and any sub folder into the Selected Images listbox
Removes selected image from the Selected Images listbox
Removes all images from the Selected Images listbox

Images may be sorted on the following fields by clicking on the column header:
Filename & Path
File Size
File Type
Last Modified Date
Filename

By clicking on an image file, a thumbnail preview with image information will appear. Uncheck the checkbox Preview Image to disable this feature. It can be desireable to disable previewing when selecting large images.

The Working Preview Image used in the Batch Settings tab can be set by right clicking on any image and selecting Set Preview Image or by clicking the Select Preview button.

See examples & screenshots on the web.


Image Preview

EyeBatch allows you to dynamically preview an image while modifying image operations. The default option chooses a preview image automatically based on the last image that was chosen when selecting images under the "Select Images" tab. By changing the Preview Image Settings in "Preferences", the preview image can also be manually selected.

The preview image will be saved in memory in order to show the effect of any lossy compression due to JPEG's, file size changes, or changes in bit depth. For example, if you choose to save a 24 bit Bitmap as an 8 bit PNG image, it will show the reduction of colors, and the reduction of file size.

The preview image will show the bit depth both before and after processing. This is useful for determining the output image bit depth. For example an image with a bit depth of 32 will be saved as an RGBA image (with transparency).

Both the preview image before and after image operations can be viewed by double clicking the picture, or selecting the appropriate menu pick.

The image will initially be automatically rescaled to fit the picturebox. The percent zoom is shown below the image in the zoom combo box and can be modified. If the image is zoomed larger then the picturebox, it can be panned around by clicking and dragging the mouse on the picture.

    Zoom In
    Zoom Out
    Fit Image (Zoom All)
    View Image in separate image viewer
    Preview previous selected image
    Preview next selected image
    Refresh Image to selected image operation
    Autorefresh image when adding or changing an image operation
    Refresh Image
    Save preview image at current state


Selecting Image Operations

Select Image Operations

An image operation is a function that is applied to the source image. Many image operations can be selected and re-ordered to achieve the desired effect. Most image operations have a settings form that allow properties to be changed. Select image operations in the Batch Settings tab. There is an undo feature within the edit menu that will undo and redo the last step.

In the Batch Settings tab, there is a treeview and a listbox as shown below. The "Available Image Operations" treeview lists the image operations that can be selected. Clicking the "+" expands the tree and shows the Image operations available under each respective category. The "Selected Image Operations" listbox lists the image operations that are currently selected. Drag and drop, or use the Select and [image] buttons to select an operation. Since order is dependent on the outcome of the final image, you can move the selected operation up or down using the [image] and [image] buttons.

Once an operation is selected, click on the [image] button to change the settings of that operation. Most operations have settings, but a few such as "Grayscale" and "Negative" do not.


Image Output Settings

Changes the image settings of the resultant output image. Click on the Image Output Settings command button to bring up the form. To convert to a different image type, select the desired image type from the Image Type drop down. Select Same as Original to keep the same image type.

Deselecting Save Output Image will prevent saving the image when executing. This is useful for generating thumbnails using the thumbnail image operation without saving the image. It can also be deselected when applying filename operation to copy the image to a different filename without processing. This is the trick used to batch rename a file.

Available image types are as follows:

  • JPG
  • PNG
  • TIF
  • PCX
  • TGA
  • BMP
  • WMF
  • EMF
  • PSD (Adobe Photoshop)
  • WBMP (Wireless Bitmap)
  • GIF
See Image Formats for more information on Image Types

General Settings

    Bit Depth is roughly the number of colors stored for each pixel. Reducing bit depth is a good way to reduce the filesize of an image, especially if there are only a few colors in the image. EyeBatch will automatically save an image 8 bit if it has less then 256 colors and Change Bit Depth is not selected. If Change Bit Depth is not selected, EyeBatch will save the image to the bit depth from the last image operation.

    24 bit depth will save the image with true colors, or 16,000,000 colors per pixel. 8 bit depth will save the image with 256 colors per pixel using a palette. In the case of a JPEG it will save it grayscale. Leaving bit depth unchecked will save the image at the original depth. 32 bit depth will save the image with an alpha (transparency) channel only if the output image type is a PNG.

    Clear Text Blocks will remove any parameters stored as text blocks in a JPG or PNG image.

    Resolution may be stored with TIF, PNG, and JPG images. If this setting is not specified, the screen resolution will be saved with the image. Resolution does not effect the image in any way. It is only used in some image applications to print the image at a particular size.

    Background Color is the default background color that will be saved with 32 bit PNG's and it's the color that is used when EyeBatch has to remove the transparency information when converting from 32 bit to 24 or 8 bit. This is also used to set the background color of a WMF or EMF image.

JPEG Settings

    Quality corresponds to the amount of lossy compression in the JPEG image. Adjusting quality will affect both the file size and image quality. The higher the quality, the larger the image size and the lower the quality the smaller the file size. Default is 75%.

    Smoothing will further reduce the filesize of a JPEG image by smoothing the sharp edges while saving.

    Saving a JPEG progressively will allow most web browsers view the image gradually from top to bottom as it loads.

    Retain EXIF info will keep JPEG digital camera EXIF information for images that are re-saved as JPEG's

BMP Settings

    RLE compression will save an 8 bit Bitmap using the RLE compression algorithm. For images with repeated use of a particular color, the image will most likely be smaller in filesize. For many photographic type images, the filesize could potentially increase using RLE compression.

PNG Settings

    PNG Gamma will set a specified gamma value to PNG images. Some image browsers use this information saved with a PNG image to vary the color gamma when viewing or printing.

    Allow Grayscale Type will save a grayscale PNG image as a true PNG grayscale image format. This format compresses better for complex grayscale images, but not as well for simpler grayscale images with fewer colors. It will only save to grayscale if the palette colors line up properly. To force a PNG image to grayscale, try using the grayscale image operation as the last step.

    Optimize PNG is useful with PNG images containing less then 256 colors. It will attempt to save the PNG in three different formats (24 bit, 8 bit, and grayscale) and choose the format resulting in the smallest filesize. It will only attempt grayscale if it detects all colors are grayscale colors. This setting might slow down the batch process considerably.

PNG/GIF Settings

    Interlace saves a PNG or GIF with interlacing. Interlacing will let most browsers gradually load the image. Similar to progressive in JPEG images except data loads consistently instead of top down.

    Transparent Color if selected will save a PNG or GIF image with the chosen color being fully transparent. This only functions when the resulting image is 8-bit.

TIFF Settings

    TIFF compression is the compression setting for a TIF image. The following compression algorithms are supported:

  • None
  • JPEG
  • Packbits
  • Deflate
  • LZW

WMF/EMF Settings

    The placeable setting will save placeable information in the headers of WMF images.

    Default Width and Default Height sets the default size of a WMF or EMF image.

Image Output Path

    Preserve Folder Structure will save the output images using the same folder tree structure as the source (original) images. The reference root folder should contain at least some source images. EyeBatch will create subfolders in the output path using the same structure as the reference root folder. Any source images that are not within the reference root folder will be saved directly in the output image path.

    If the image files were selected with the [image] button while the reference root folder was empty, the folder selected will automatically appear as the reference root folder.

    Output Path = Input Path will save the destination image in the same location as the source image. Be sure to change the filename or else be prompted to overwrite the source image.


Output Folder

EyeBatch saves all resultant images in the output folder. You can select an output folder by clicking the browse button or typing in the path. EyeBatch will prompt you to create a new folder if it doesn't exist.

If an image already exists in the output folder with the same filename, EyeBatch will ask if you wish to overwrite. To prevent these messages from appearing, you may check the Overwrite Existing Images checkbox. Be careful, as checking this will automatically overwrite the file if it exists.


Preferences

EyeBatch Preferences can be changed by going to the Edit:Preferences menu.

  • Automatically set preview image when selecting image will allow the user to select an image in the "Select Images" tab and use that for the preview image. In order to manually select a preview image, this must be turned off. (default = unchecked)
  • Preview each image on execute will display a preview of the image during processing. This will slow down the batch process. (default = unchecked)
  • Default Preview Image sets the image to be used as the preview when the preview image is reset. Leave blank to use the program default.

  • Show image in image operation forms will show the image at the current state in many of the image operation forms. A few forms require the entire image to be processed which could take a few seconds if the preview image is large and this is selected. (default = checked)
  • Image reflects source image instead of current image state will show the source image when viewing the settings of an image operation. This eliminates the need for a partial update each time the settings are viewed. Left unchecked, the settings forms will show the image state at the position of the selected image operation. (default = unchecked)

  • Smart Image processing will prevent processing an image if there are no image operations (besides filename) and the source and destination image formats are identical. This only takes into account any changes in bit depth. It does not take into account other Image Output settings such as background color, interlacing, JPEG smoothing, etc. The benefit to this setting is it will only load the image into memory when necessart, thereby speeding up processing type conversions where the file formats are the same (default = unchecked)
  • Smart JPEG Processing goes a step further then Smart Image processing by actually detecting if the source and destination images are the same. For example, it will prevent processing a JPEG if there is a resize operation and the destination image size is identical to the source image size. This is beneficial because it will copy the image instead of re-saving it thereby eliminating unecessary lossy quality reductions when re-saving a JPEG. One reason to deselect this is to resave a JPEG image at a different quality or smoothing setting. This might be required when optimizing the filesize of a JPEG. Note, with only this setting checked, the JPEG will be loaded into memory when processing.(default = checked)
  • Save Image Output Settings will save all image output settings to the registry so that the latest output settings will be used unless otherwise modified. (default = unchecked)

  • Format EXIF String will convert and format EXIF values and dates. (default = checked)

    Restore Defaults will restore the preferences, and all user settings to the defaults


Open/Save Batch Script

Saving and Loading a batch script can be accomplished by clicking the buttons shown below, or selecting the "Save Script", "Save Script As", or "Load Script" in the File menu. Each Image Operations and it's settings will be stored along with the Image Output Settings. Use the script file for tasks that are performed often, or for setting up the script for command line processing.

Note that saving the script will not save the image.


Working with One Image

EyeBatch is designed for both the processing of multiple images as well as working with only one image.

  • Be sure that the preference "Preview image automatically set to selected image" is set.
  • Click on the image you wish to process in the "select images" tab. This will automatically set the preview image to the selected image
  • Choose the image operation(s) you wish to perform on the image
  • Click the Save button under the preview image area and save the image to the desired name and folder

Note that the filename and "slice image" operation is ineffective when saving the preview image. If you wish to change the image type, simply change the type in the image output settings.


Image Formats

JPEG
JPEG (pronounced "jay-peg") is designed for compressing either full-color or gray-scale images of natural, real-world scenes. It works well on photographs, naturalistic artwork, and similar material but not as well for lettering, simple cartoons, or line drawings.

JPEG is "lossy," meaning that the decompressed image isn't quite the same as the one with which you started. There are lossless image compression algorithms, but JPEG achieves much greater compression than is possible with lossless methods.

EyeBatch can write 24-bit RGB JPEGs or 8-bit grayscale JPEGs. Additionally, you can choose to write these as interlaced or progressive JPEGs. Progressive JPEGs are arranged so that smart decoders can display the image as it is transmitted across a slow network. EyeBatch also provides a JPEG quality setting that varies the amount of compression at the expense of image detail accuracy.

Because of its great compression, JPEG is by far the best choice for photographic images on the web. Also because of its compression, JPEG is a terrible choice for intermediate storage as you lose some image detail each time you write a JPEG image. If you are storing images for archival or as intermediate steps in a long process, one of the lossless formats is much better.

BMP
BMP (Bitmap) is Windows' native image format. BMP supports a simple form of compression called RLE (Run Length Encoding). RLE is good for Bitmaps that have pixels with the same color horizontally next to each other. In some cases, RLE compression can increase the size of a BMP. BMP is lossless and is fine for archival or temporary storage.

PNG
The PNG file format uses lossless data compression. It compresses better than LZW but does not compress photographic images as well as JPEG's Lossy compression. The PNG file format is geared to replace GIF as the Internet favorite, as it can store 24 bit images unlike GIF and has full alpha support (256 levels of transparency). GIF only has one level of transparency. PNG also has none of the licensing issues that GIF does. It is an excellent choice for image archival or temporary storage. Most modern web browsers support reading PNG format. For more information on PNG images, visit the article we wrote on the subject.

TIFF
TIFF is a standard image format used in both Macintosh and PC's. Tiff's can be read and saved in 24 or 8 bits. It also has a compressed format using LZW compression. EyeBatch will not read or write LZW compressed images due to licensing issues with Unisys Corporation.

PCX
PCX is an old format from the days when most displays were 8-bits and true color (24-bit) displays were unheard of. It can store images in 24 bits and 8-bit or less. It uses a simple run-length-encoding scheme similar to BMP-RLE. Compression is poor, but lossless. EyeBatch is able to read all PCX flavors and write PCX in 24 and 8 bit modes.

TGA
TGA is another old format. It supports a wide range of data formats, each apparently related to a specific Targa video card. Like PCX, data can be encoded with a simple run-length-encoding scheme: poor but lossless. EyeBatch reads many TGA flavors. It writes 24-bit and 8-bit TGA.

MetaFiles (WMF / EMF)
Metafiles are Window's based images that do not contain dimensions. The intention was that one could draw the image into any rectangle and it would scale itself accordingly. This is nice in some cases (clip art, for example) but not as nice in other cases. With the release of Windows 95, Microsoft discourages the use of WMFs.

With the release of Windows 95, Microsoft introduced the Enhanced Metafile (EMF). EMF adds sizing information to tell applications how large to draw the image.

PSD
PSD is the native format for Adobe Photoshop. EyeBatch provides reading for most PSD flavors: 16-bit channels, LAB and Multichannel are the known exceptions. Although EyeBatch will write 24-bit and 8-bit PSD files, there is little benefit in being able to write PSDs as Photoshop will read almost any format. Other formats provide better compression and greater support.

GIF
GIF is an internet standard for simple graphics. It stores a maximum of 256 colors (8-bit) and supports transparency. The GIF format uses a compression algorithm called LZW which is patented by Unisys corporation. As of version 2.0, EyeBatch obtained a license to support reading and writing GIF and LZW TIFF images. Due to the patent restrictions of GIF images, we recommend using PNG images. PNG is a great replacement to GIF as most modern browsers support it.

WBMP
WBMP is a relatively new image format that is a standard for black & white palm computing devices. These images are only black and white (not grayscale) and can be relatively small in filesize.


Web Update

The web update feature ensures that you have the latest version installed. EyeBatch will be continuously updated to add new features, and also fix any bugs that might not have been caught in prior versions. In addition, you may keep up-to-date with the Product and General news by selecting their respective tabs.

To initiate, click Web Update from the help menu, then click "Connect". After a few seconds, the new version number should appear, or "Same Version" if you have the most recent version. If there is a newer version available, click "Download & Install" to download the patch and run the installation.


User-Defined Date/Time Formats

User Defined Date/Time

The following table identifies characters you can use to create user-defined date/time formats:

Character | Description
(:) Time separator. In some locales, other characters may be used to represent the time separator. The time separator separates hours, minutes, and seconds when time values are formatted. The actual character used as the time separator in formatted output is determined by your system settings.
(/) Date separator. In some locales, other characters may be used to represent the date separator. The date separator separates the day, month, and year when date values are formatted. The actual character used as the date separator in formatted output is determined by your system settings.
c Display the date as ddddd and display the time as
ttttt, in that order. Display only date information if there is no fractional part to the date serial number; display only time information if there is no integer portion.
d | Display the day as a number without a leading zero (1 – 31).
dd | Display the day as a number with a leading zero (01 – 31).
ddd | Display the day as an abbreviation (Sun – Sat).
dddd | Display the day as a full name (Sunday – Saturday).
ddddd | Display the date as a complete date (including day, month, and year), formatted according to your system's short date format setting. The default short date format is m/d/yy.
dddddd | Display a date serial number as a complete date (including day, month, and year) formatted according to the long date setting recognized by your system. The default long date format is mmmm dd, yyyy.
w | Display the day of the week as a number (1 for Sunday through 7 for Saturday).
ww | Display the week of the year as a number (1 – 54).
m | Display the month as a number without a leading zero (1 – 12). If m immediately follows h or hh, the minute rather than the month is displayed.
mm | Display the month as a number with a leading zero (01 – 12). If m immediately follows h or hh, the minute rather than the month is displayed.
mmm | Display the month as an abbreviation (Jan – Dec).
mmmm | Display the month as a full month name (January – December).
q | Display the quarter of the year as a number (1 – 4).
y | Display the day of the year as a number (1 – 366).
yy | Display the year as a 2-digit number (00 – 99).
yyyy | Display the year as a 4-digit number (100 – 9999).
h | Display the hour as a number without leading zeros (0 – 23).
Hh | Display the hour as a number with leading zeros (00 – 23).
N | Display the minute as a number without leading zeros (0 – 59).
Nn | Display the minute as a number with leading zeros (00 – 59).
S | Display the second as a number without leading zeros (0 – 59).
Ss | Display the second as a number with leading zeros (00 – 59).
t t t t t | Display a time as a complete time (including hour, minute, and second), formatted using the time separator defined by the time format recognized by your system. A leading zero is displayed if the leading zero option is selected and the time is before 10:00 A.M. or P.M. The default time format is h:mm:ss.
AM/PM | Use the 12-hour clock and display an uppercase AM with any hour before noon; display an uppercase PM with any hour between noon and 11:59 P.M.
am/pm | Use the 12-hour clock and display a lowercase AM with any hour before noon; display a lowercase PM with any hour between noon and 11:59 P.M.
A/P | Use the 12-hour clock and display an uppercase A with any hour before noon; display an uppercase P with any hour between noon and 11:59 P.M.
a/p | Use the 12-hour clock and display a lowercase A with any hour before noon; display a lowercase P with any hour between noon and 11:59 P.M.
AMPM | Use the 12-hour clock and display the AM string literal as defined by your system with any hour before noon; display the PM string literal as defined by your system with any hour between noon and 11:59 P.M. AMPM can be either uppercase or lowercase, but the case of the string displayed matches the string as defined by your system settings. The default format is AM/PM.


Command Line Operation

EyeBatch allows images to be processed by a command line (MSDOS prompt). This is convenient if you want to add batch processing functionality to your own programs.

The first step is to create a batch script file by running the program normally and saving a script. The script is called in the command line.

The command line format is as follows:
EyeBatch [flags] [Script file path] ; [Output Directory Path] ; [SourceImage, SourceFolder, etc..]

Be sure to use the semicolon ";" to separate the parameters, and use a comma to separate the source images and directories. To specify a directory of images, simply place the directory path in the list of images. To overwrite existing images, add the flag "/o" before the script file as shown in the example. Without specifying the "/o" flag, EyeBatch will not overwrite the image. Any errors will by written to the Error.log file which resides in the application path (directory where EyeBatch.exe is stored).

Flags

  • /o Overwrite Image
  • /s Include images in all sub directories
  • /h Do not spawn DOS window when processing

Example:

The following will process 2 specific images and all image files in the c:\My Documents\Images folder. It will use the Test.ebs script and save all images to the c:\OutputFolder directory. It will overwrite any existing images.

EyeBatch /o c:\My Documents\Scripts\Test.ebs ; c:\OutputFolder\ ; c:\Image1.jpg, c:\Image2.png, c:\My Documents\Images\


Special Fields (Parameters)

Special functions, or tags, can be used in many image operations that involve text or string data. These functions look up information specific to the current image. All functions have the format of "&[Function]". Some require an additional parameter, for example "&[Function(parameter)]". In most cases, the parameter should be "source" to define the source image, or "destination" to define the destination image.

An image operation that allows special fields will have a drop down box that will paste the selected function in the active text box. If a parameter is required, a messagebox will appear with a list of the selectable parameters.

The following is a list of all available functions:

Function | Description
&[DateTime()] | The current system Date and Time. The optional parameter is the date/time string format.
&[SizeB()] | Filesize of the specified image (Source or Destination) in Bytes
&[SizeKb()] | Filesize of the specified image (Source or Destination) in Kilobytes
&[File()] | Filename excluding the path
&[Path()] | Full Path and Filename
&[Ext()] | File Extension (usually 3 letter such as "jpg")
&[NoExt()] | Filename excluding path and extension
&[Width()] | Width of image in pixels
&[Height()] | Height of image in pixels
&[Modified] | Date and time that the source image was last modified, or created. Does not require a paramter
&[EXIF()] | EXIF information within a JPEG image. This information is commonly stored in digital cameras and can be accessed with this function. The parameter is the EXIF string tag. When selecting EXIF from the parameter list, a list of valid EXIF tag names will be available to select.
&[EXIFList] | Lists all the EXIF information in the format of TagName [tab] TagValue [line feed]
&[EmbText()] | Embedded Text information that can be extracted from a JPEG or PNG image. The parameter is the key, or index of the stored text. Text can be stored in an image using the Embed Text image operation.
&[EmbTextList] | Lists all the Embedded text information in the format of KeyName [tab] String [line feed]


GIF & LZW TIFF Support

Atalasoft has acquired a license under US Patent No. 4,558,302 and foreign counterparts from Unysis corporation to include GIF and LZW TIFF read and write support.

The LZW compatible version is strictly forbidden to run on a web server. Also, it can not be used for writing or publishing GIF or LZW TIFF images to a network drive that is located on a web server.

For this reason, a Non-LZW version available for download from Atalasoft can be used to run on a web server. By registering EyeBatch, you may use either version as registration will work for both. To determine which version you are running, look in the about menu. The Non-LZW version will state "LZW disabled version".

GIF and LZW TIFF images generated from EyeBatch may be legally uploaded or copied to a web server using any Microsoft product. It is only prohibited that EyeBatch, and other non-Microsoft applications directly generate images onto a web server without the user obtaining his or her own Unisys License.

We suggest using PNG images whenever possible as a replacement to GIF's.


Transparency & Alpha

EyeBatch is capable of saving images with transparency information. This is also known as alpha. The only output image formats capable of this are GIF and PNG. GIF is capable of only one transparency color (fully transparent) while PNG is capable of 256 levels of transparency. See the article on PNG images for more information.

In EyeBatch, a 32-bit image will have an alpha channel. You can tell by looking at the details under the preview image if the source or destination image is 32-bit. All 32 bit images in EyeBatch are RGBA images. RGBA stands for Red, Green, Blue, and Alpha. Only PNG images can be saved as 32 bit.

8-Bit images may also be saved with transparency information. In the case of GIF images, a single palette entry is considered the fully transparent color. For 8-Bit PNG images, the palette itself contains RGBA information. Currently the only way to tell if an 8-bit image has transparency is by changing the background color or applying Background Overlay.

There are many image operations that will generate a 32 bit RGBA image internally. This is useful for certain effects such as applying a drop shadow and then using Background Overlay to apply the background of a web page. This will simulate a transparent JPEG image on the web. A list of these image operations that generate RGBA images are as follows:

  • DropShadow
  • Overlay Mask
  • Resize Canvas (when opacity is less then 100)
  • Add Border (when opacity is less then 100)
  • Rotate (when angle is other then 90, 180, or 270)

    These image operations were developed primarily for images with alpha:

  • Background Overlay
  • Image Overlay

    With the exception of the following image operations, the transparency in a 32-bit image will be retained.

  • Skew
  • Remove Alpha
  • Reduce Colors
  • Convert to 24-bit
  • Apply Palette
  • Background Overlay (uses existing alpha)
  • Drop Shadow (creates new alpha)
  • Overlay Mask (creates new alpha)

    For more information on PNG images and transparency, read the article posted on our website.


Image Bit Depths

The following bit depths are supported by EyeBatch:

24 bit RGB
Most computers, digital cameras, and other imaging devices generate and read images in RGB format. RGB contains a Red, Green, and Blue color channel. Each pixel in an RGB image contains a certain level of each of the three colors. For a 24 bit RGB image, that level is from 0 - 255 for each color. Since the number 255 is an 8-bit number (or 1 byte), three 8-bit numbers equates to 24 bits (or 3 bytes). Hence an RGB image being 24 bits/pixel or 3 bytes/pixel. A 24 bit RGB image can contain over 16 million different colors.

8 bit RGB
An 8-bit RGB color image uses a color palette containing 256 different RGB colors. Each pixel contains an index to this palette which can be from 0 - 255. Hence the 8-bit color palette image.

32 bit RGBA
A 32-bit image in EyeBatch is an image in the RGBA format. RGBA contains a Red, Green, Blue, and Alpha color channel. The alpha channel represents the transparency value of the pixel. Since a modern windows based system is 32 bit, processors can easily process this extra 8-bits of information. The disadvantage of this format is it takes 25% more memory to save an alpha channel. Only PNG images can be saved in this format.

8 bit RGBA
An 8-bit RGBA image is very much like an 8-bit RGB image except the palette contains an alpha channel. This is a good format to use when memory is a consideration, although unlike a 32 bit RGBA image, you are still limited to 256 individual colors with transparency per image. Only PNG images can be saved in this format.


Apply Palette

Applies a palette to a 24 bit image. Useful for making an image display well with systems of 256 or even 16 colors. Also can be used to make an image black & White. The following palletes can be applied:

  • Black & White
  • 16 Color
  • Web Safe Palette (216 colors)
  • System Palette (will only work when current system is in 256 color mode)
Dithering also may be applied to the image. This will use color matching to more closely simulate the desired color.


Convert to 8-bit

Converts an image bit depth to 8-bit (palette image). It will not convert a JPEG to 8-bit as an 8-bit JPEG is grayscale. The grayscale image operation may be used instead to convert JPEG images to 8-bit. Use this to change the color depth in the middle of the script. The Image Output Settings allows saving to a specified bit depth. See help on Bit Depths for more information.


Convert to 24-bit

Convert to 8-bit

Converts an image bit depth to 24-bit. This removed any alpha (transparency) information from a 32 bit image. Use this to change the color depth in the middle of the script. The Image Output Settings allows saving to a specified bit depth. See help on Bit Depths for more information.


Grayscale

This operation will convert the image to grayscale.


Reduce colors

Allows you to reduce the number of colors used within an image. Values must be between 2 and 256.


Remove Alpha

Removes the Alpha Channel from a 32 bit image or the alpha palette information in an 8-bit image with alpha.


Auto Brightness

Automatically modifies the brightness of an image. There are no settings for this image operation.


Apply Gamma Correction

Performs gamma correction on an image. This will effectively lighen, or darken an image.


Blur Image

The higher the percent, the greater the fuzzying effect. Move the slider or change the text to a value between 1 and 100.


Background Color

Sets the background color for a transparent image so that if the alpha channel must be removed during the script the background image can be specified.

For example, when applying a drop shadow to an RGBA image, the main image is converted to RGB before the shadow is applied, yet the final output is an RGBA image. Specifying a background color prior to applying a drop shadow will color in the transparent sections to the selected color before applying the drop shadow.

The background color setting in the Image Output Settings will only specify the background color when saving the image.


Brightness & Contrast

Brightness/Contrast

Allows you to change the brightness and/or contrast of the image. Values must be between -100 and 100. Zero will have no effect.


Channel Swap

Swaps color channels of the image. Specify the channel to swap by seelcting from the drop down menu. Specified Value allows entire color channel to be swapped with a specified value (0-255).


Color Levels

Increases or decreases the red, green, and/or blue values of each pixel by the percent chosen. 100% will set each pixel to the maximum value, -100% sets each pixel to the minimum value, and 0% does not change the pixel color channel at all.


Colorize

Applies a specific color's hue, saturation, and/or luminecense to an image. A color may be selected using the color picker, or adjusted using the slider bars for either Red, Green, and Blue values or Hue, Saturation, and Luminecense values. The hue is an index into the spectrum of basic colors. The saturation is a grayness quality. A color that has a high saturation is very colorful and vibrant. A color that has low saturation is more grayish. Luminance is the brightness of the color.


Drop Shadow

Adds a true transparent drop shadow to the image. If the resulting image is saved as a 32-bit PNG, the image will contain transparency information. The transparency information will be removed and be merged with the background color specified in Image Output Settings when saved to any other format. See help on Transparency/Alpha for more information.

Settings

  • OffsetX: Shadow offset in the horizontal direction. Can be negative.
  • OffsetY: Shadow offset in the vertical direction. Can be negative.
  • Fade Width: Thickness of the shadow that is faded into the background
  • Gradient of the fade. 1 signifies a linear gradient, 2 a quadratic (steeper) gradient, and so on.
  • Opacity: Opacity of shadow in percent. This is equal to the amount the background will show through with 0 meaning 100% transparent, and 100 meaning fully opaque.
  • Shadow Color: Color of the drop shadow (default = black)

    Tip
    Use the drop shadow coupled with background overlay containing the same background image as in your web pages. When the image is placed in the web page with the same background, it will appear as if the drop shadow is transparent and the actual background shows through.


Equalize Histogram

Performs Histogram Equalization on an image. There are no settings for this image operation.


Mosaic

This image operation will create a block pattern by averaging block areas of the original image. This produces the artistic "mosaic" effect. It can be applied to the red, green, and blue color channels simultaneously, or individually. Changing the block size (width and height) will vary the size of the block pattern.


Negative

This operation will reverse the colors of the image.


Replace Color

This operation will replace one color with another color in a given tolerance. The source color is the color that will be replaced. The destination color is what the source color will be replaced with. Choosing the eyedropper allows selecting a color from the preview image.


Sharpen Image

The higher the percent the crisper the image will look. Move the slider or change the text to a value between 1 and 100.


Stretch Histogram

Performs Histogram Stretch on an image. Use this function to enhance a photograph. More commonly known as "Auto Level". There are no settings for this image operation.


Custom Filter

This operation will alter an image by applying a two-dimensional convolution filter. The algorithm will cycle over each pixel with the filter centered over each. Vary the intensity of the filter to any negative, or positive, decimal. The filter can be saved and opened by selecting the appropriate command buttons.


Despeckle Filter

This image operation applies a despeckle filter to an image. It may be applied repeatedly for more intense filtering. There are no settings for this image operation

Original Image
Despeckle applied 4 times


Edge Detection

This operation will apply an edge detection filter to the image. The intensity may be varied by adjusting the slider bar.


Emboss

This operation lets you create a three-dimensional looking, beveled image out of the original. Choose a base color and direction. Depending on your selection, the image can appear beveled or raised.


Median Cut Filter

This image operation applies a median cut filter to an image. It may be applied repeatedly for more intense filtering. This filter is ideal for removing specs from images. Try this filter for "hot spots" created with digital cameras. There are no settings for this image operation.

Original Image
Median Cut applied 4 times


Soften

This operation will apply a soften filter to the image. The intensity may be varied by adjusting the slider bar.


Vibration

This operation will apply a vibration filter to the image. The intensity may be varied by adjusting the slider bar.


Embed Text

Saves text information within a PNG or JPEG image. This text can then be retrieved with EyeBatch functions or with other programs. There is no limit to the number of text comments to appear within an image. Embedding text will be ignored when saving to an image format other then JPEG or PNG.

Key:
A key must be supplied with each text comment. The key is used to identify the comment.

Text:
The text is the information string saved in the image.

Parameters:
The text may contain special parameters such as filesize, image width, date last modified, etc.

Date Format:
This specified the appearance of a date field such as date last modified, or EXIF date/time. See User Date/Time formats for more information


Filename

Changes the filename of an image.

Prefix: Add a prefix in front of the filename

Suffix: Add a suffix at the end of the filename

Rename Image: Select to change the base filename and add a numbering sequence

Filename: The base filename
Leading 0's Specify the number of numeric characters (Leading zero's) in the number sequence. Zero's will be added in front of the number if the number has less then the specified characters.
For example: Image1.bmp will be Image0001.bmp if 4 leading characters are specified.
Start# Specify the starting number in the numbering sequence

Change Case: Changes the case of the filename to either:

lowercase or
UPPERCASE

Select Parameter: Will insert a special field into the active text box that will add text such as filesize, image dimensions, image type, date, etc. to the filename.

Date Format: Specifiess the date or time format if a date or time specific field is used.


Slice Image

This operation will break up an image into multiple pieces, or "tiles". These tiles can then be pieced together to form the full image. This procedure is common for use with web sites in order to load the image in increments, and for various shaped images. It is also a common practive to break up an image on a web site so that the entire image cannot be saved by "right clicking" on the image.

You have the option of splitting the image into a known number of sections, or into a known dimension. The individual images will have an extension appended to the filename indicating the position of the image. For example, imagename_001.xxx is the image positioned in the first row and first column. Follow the template that is own the form.

If selected, an HTML web page and table is generated in the output folder along with the images. This table pieces together the individual images to form the full image. You may copy and paste the HTML code into your own web page.

25 separate images

image stitched back together into an html table


Split Channels

Splits an image into three separate images containing only Red, Blue, and Green Color Channels respectively. The resulting images will be named the same as the output image with a "_red", "_blue", or "_green" suffix appended to the filename. Each channel is saved as an 8-bit palette image.

This feature is useful for color separations required for color lithograph prints.


Text File

Creates a text file containing any text or special parameters. The text file name will be the output image name with a ".txt" extension. This feature is useful for generating text files containing all EXIF info in an image. A blank text file will not be saved.

For example, this feature can be used to generate text files containing all EXIF information for each image using the &[EXIFList] parameter.


Thumbnail

Create thumbnail images in addition to the destination image. Useful for generating thumbnail images to use on the web.

Thumbnail Size will reduce the image size so that the largest dimension (width or height) equals the specified size in pixels.

Thumbnail Type Specifies an image type to save the thumbnail as. Same as Destination will save the thumbnail to the same type as the destination image.

Thumbnail Filename will add append a suffix and/or prefix to the destination image filename.

JPEG Quality allows the thumbnail image, if it's a JPEG, to have a quality independent of the destination JPEG.

Checking Decimate will use a pixel averaging algorithm to reduce the size of the image. This might eliminate fine lines in an image, but in general produces higher quality reductions.

Specify Special Output Folder allows the thumbnail image to be saved in a different folder then the destination image output folder. You may choose to specify a relative folder by checking Relative Folder. A relative folder will start at the output folder for the destination image. For example, "Thumbnails\" will save, or create a directory called Thumbnails in the output folder.

Do not save destination image will only save the thumbnail if checked. Selecting this will turn off saving the image in the output settings.


Background Overlay

Overlay the source image onto a background image. This feature is ideal for use with transparent 32 bit PNG's or transparent source images created in EyeBatch with functions such as drop shadow. Use the browse button to select a background image. Varying the different settings produces various effects. The settings are outlined below.

Settings

  • Stretch to Canvas stretches the background image to fit the canvas
  • Tile Background tile the background image
  • Overlay Image with Alpha Channel select this to use the transparency information within the source image when overlaying onto the background
  • Background Color is the default background color that is used when the background image is not fit to the entire canvas or for any transparent sections of a background image
  • Background Image Filename is the path and file to the image used for the background. Select by clicking the browse button.
  • Overlay Position positions the source image on the canvas
  • Canvas Size specifies the size of the canvas (background) in either pixels or percent of the source image
  • Transparent Color specifies the color to use as transparent if the image doesn't contain alpha information and Overlay with Alpha Channel is not selected. Tolerance specifies the tolerance of the transparent color
  • Edge Fade Overlays the source image onto the background with faded edges. The rate of fade specifies the depth of fade. This setting functions only
  • Opacity specifies the opacity of the source image when overlayed onto the background. This is ignored when the source image contains alpha info and Overlay Image with Alpha Channel is selected

    Tip
    Use the drop shadow coupled with background overlay containing the same background image as in your web pages. When the image is placed in the web page with the same background, it will appear as if the drop shadow is transparent and the actual background shows through.


Image Overlay

Overlay one image on top of another. Select the image you wish to overlay and adjust the settings to your preference.

  • Use Alpha channel within overlay will ignore the opacity and transparency settings and use the alpha information contained within an image if the image to overlay is a PNG with alpha information.
  • Position can be varied by selecting the buttons to place it in the respective position on the image. If you want to offset the image stamp position from a particular edge, enter an offset value.
  • Opacity is the opacity of the image stamp with respect to the image. A lower value makes the overlayed image more transparent.
  • If you want a particular color of the image stamp to be completely transparent, check the Use Transparency checkbox and select the transparent color by selecting the color from the image by clicking on the eyedropper, or click the command button for a color picker.
  • Transparency tolerance will set a range of tolerance to the transparent color. This is useful if the transparent color in the image is not one precise color.
  • Edge Fade will overlay the image with faded edges. The thickness of the fade can be varied by adjusting the fade rate.
  • Fit to Image will stretch the overlayed image to fit the source image.
  • Keep Proportions will maintain the aspect ratio of the image and stretch it to the boundaries of the source image.
  • Allow Enlarge will allow the overlayed image to be enlarged (only if "proportions" and "fit to image" is checked)
  • Relative Size sets the size of the Overlay relative to the source image. This setting is only enabled if Fit to Image is selected and Keep Proportions is deselected.

Examples of a use for Image Overlay is to place a picture frame on an image or to overlay a company logo onto an image.


Mask Overlay

Fades the source image using a grayscale mask. THe darker the shade, the more transparent the source image will become. EyeBatch comes installed with 40 different masks, or user masks can be selected. To make a mask, simply create a grayscale image. Black sections will cause the image to be fully transparent, White sections fully opaque, and various shades of grey will cause the image to be partially transparent. The mask will be resized to fit the source image.

Choose from 40 built in masks. To add new masks to the drop down list, copy them into the Masks directory in the application path and make sure they are PNG's with a .png extension.

Rotate for Best Fit will rotate the image 90 degrees if the aspect ratio of the mask image is closer to the source image when rotated.

Invert Mask reverses the mask image

User Mask allows a custom mask to be selected. Only a grayscale image is required, although any image will work.

The masks installed in EyeBatch were created by Sue Chastain of Guide to Graphics Software from About.com. There are many more of her masks specially created for EyeBatch available to download at http://www.atalasoft.com/eyebatch/masks.html. Placing these downloadable masks in the masks folder will add to the existing 40 masks available in the drop-down list. You can download even more of her masks created for About.com and free to use by clicking here.


Text Watermark

Inserts a single or multiple line text onto an image.

  • Any true type font can be selected and be placed at any angle, color, and transparency.
  • Position can be varied by selecting the buttons to place it in the respective position on the image. If you want to offset the watermark position from a particular edge, enter an offset value.
  • Opacity is the opacity of the watermark with respect to the image. A lower value makes the watermark more transparent.
  • Multiline allows multiple lines of text. All text will "wordwrap" to the next line. The text may be left aligned, center aligned, right aligned, or justified. The default bounding dimensions is the size of the image and is represented by the value 0. Custom bounding dimensions may be specified either in absolute size, or percent of image size.
  • Anti-alias will create more readable text by slightly blurring text edges.
  • Drop Shadow will place a transparent shadow of the text offset from the main text
  • Opaque Background will place a specified background color behind the text
  • Clicking on Insert Special Fields will insert a tag that will place special information on the image.

EXIF info can be extracted from a JPEG image and placed as text on the image. All the supported EXIF fields will show in the Special Fields combo box.

The date format can be set to a number of styles, or a custom style. See User Defined Date/Time


Add Border

Adds a border of a specified color to an image. Border thickness for each side can be specified, or a constant thickness if symmetric is selected.

The thickness can be specified in Pixels, Inches, Centimeters, or percent of image size by choosing from the Dimension combobox.

The border may by set to a transparency value by changing the Opacity to something less then 100%. The transparency will be maintained during some EyeBatch operations and if saved to a 32-bit PNG.

An example of using border would be to add a black border at the bottom of an image and then add a date stamp using Text Watermark. A sample script demonstrating this is included when installing EyeBatch


Auto Crop

This image operation will automatically try to detect a solid border around the outside of an image and crop it out of the image. This is particularly useful for cropping scanned images that are bordered with the scanner backing.

EyeBatch will attempt to automatically detect the border color, or it can be manually detected.

  • Color Match Tolerance is the border color tolerance that EyeBatch uses to determine the exact border.
  • Force Border Color can be selected to manually choose a border color


Crop

An image can be cropped in a number of ways.

  • Crop from center will crop the image with respect to the center of the image. Parameters include width, height, offset from left, and offset from top.
  • Crop Borders will crop the image from the sides. Parameters include from left, from right, from top, and from bottom.
  • Crop From Coordinates will crop the image based on absolute coordinates.
  • By selecting center image the cropped image will be centered, and only two parameters need to be entered as opposed to four.


Flip Image

Flip Horizontal/Vertical

This operation will flip the image either vertically or horizontally depending on which is selected. There are no image settings for either.


JPEG Transforms

Perform a lossless transformation on the image in a JPG file. This can be used to perform one of a set of simple transformations without decompressing the JPG data. By not decompressing, you don't have to re-compress, thus avoiding adding additional JPG artifacts to the output image.

This works by rearranging the compressed data, without ever fully decoding the image. Therefore, its transformations are lossless: there is no image degradation at all, which is not the case if you were to use any of the other image operations to a JPEG.

The transpose transformation has no restrictions regarding image dimensions. The other transformations operate rather oddly if the image dimensions are not a multiple of the MCU size (usually 8 or 16 pixels, though sometimes 32 or 48), because they can only transform complete blocks of DCT coefficient data in the desired way.

The default behavior is to discard these "extra" blocks. This prevents ugly strips of unmodified data along one edge. You can override this discarding of extra blocks by selecting Do not trim extra MCU blocks, though it is not recommended.

Another option is to convert the JPEG to grayscale by checking Transform to Grayscale

This Image operation will only work on JPEG's and is ignored otherwise. In addition, any other image operation will be ignored if the image is a JPEG.

Possible Transformations are as follows:

  • Rotate
  • Flip
  • Transpose
  • Transverse


Resize Image

This image operation changes the size of the image, or resamples it. This is the method to use for generating thumbnails. It also increases the size of the image very well by interpolating the nearest pixels in order for the best possible quality "blow-up".

  • There are 17 resizing methods to choose from
    • 0 Simple - uses nearest pixel resampling
    • 1 Bi-Linear - uses bi-linear interpolation (default)
    • 2 Bi-Cubic - uses bi-cubic interpolation
    • 3 Box Filter
    • 4 Triangle Filter
    • 5 Hamming Filter
    • 6 Gaussian Filter
    • 7 Bell Filter
    • 8 B-spline Filter
    • 9 Cubic 1 Filter
    • 10 Cubic 2 Filter
    • 11 Lanczos3 Filter
    • 12 Mitchell Filter
    • 13 Sinc Filter
    • 14 Hermite Filter
    • 15 Hanning Filter
    • 16 Catrom Filter
    Methods 3 - 6 are best for reductions. All others can be used for both enlargements and reductions. It is best to experiment with the different methods to determe the best resizing method for your application. In general, the Filter resizing is slower then Simple, Bi-Linear, and Bi-cubic.

  • The Width and Height can be expressed in units of Pixels, Inches, or Centimeters by selecting the unit in the Dimensions combobox.
  • Checking Maintain Aspect Ratio (proportions) will keep the original proportions of the image and resize the image to the width, or height, depending on which dimension is constraining.
  • Checking Allow Image to Stretch will enlarge the image if the Width and Height is greater then the original image.
  • Checking Decimate will use a pixel averaging algorithm to reduce the size of the image. This might eliminate fine lines in an image, but in general produces higher quality reductions.
  • Convert 8-Bit image to 24-bit when resizing can be selected to produce better resizing of 8-bit images. If this is not selected, EyeBatch will use bi-linear resampling for 8-bit images. f this is selected it is likely the image will result in more then 256 colors.


Resize Canvas

Increases the size of the image by adding a background "Canvas" of a specified color and transparency. If the image is larger then the canvas size, there is the option to leave the image alone, crop, or shrink the image to fit. The transparency of the extra canvas can be changed by modifying the Opacity value. The transparency will be maintained during some EyeBatch operations and if saved to a 32-bit PNG.


Rotate Image

Rotate allows you to rotate an image at any specified angle in a clockwise, or counterclockwise direction. Rotating in 90 degree increments is much faster and doesn't require a background color. Any other increment requires a background color which defaults to black.


Skew Image

Depending upon the orientation, this operation will shear an image vertically or horizontally. Dimensions may be in Percent, Pixels, Inches, or Centimeters. Skew requires a background color be specified which defaults to black.


                    Order Form

Registration ($18.95) entitles you to use of EyeBatch on a single computer
at one time, this does not include use by more than one client over a
network. Registered users receive a registration code to fully enable the
program. Registered users are entitled to e-mail support.

For quickest response register at www.atalasoft.com online or visiting the
link below.
SECURE LINK: https://shop.softpair.com/viewproduct.asp?productid=12

Alternately you may register by sending $24.95 cash, check or money order.

To	Atalasoft
    304 East Mountain Rd
    Westfield, MA 01085
    USA

Name_________________________________Company________________________

Email_______________________________________________________________

Address_____________________________________________________________

Address_____________________________________________________________

City__________________________________________ State________________

Zip/Postal Code_______________________________

Country_______________________________________

System ID_____________________________________

I would like to register ______ licenses for EyeBatch.
$24.95 USA per license are included with
this letter.

Please send the license registration

[ ] via e-mail ___________________________________________

[ ] via mail to the above address

The license title and registration key will be sent to you via the
chosen method.

_____________________________________________________________________

Comments:


Output Settings

This uses the same form at Convert Image Type. The difference is that the image type is not changed. The image settings will be changed only if the image type is applicable to the particular image setting. For example, if JPEG Progressive is the only item selected, only JPEG images will be effected.


Benefits of the PNG Image Format
by Bill Bither
President of Atalasoft.com
Developer of EyeBatch

Overview of PNG

The PNG format (pronounced "PING") was designed to replace the antiquated GIF format, and to some extent, the TIFF format. It utilizes lossless compression, meaning no image data is lost when saving or viewing the image. It is a universal format that is recognized by the World Wide Web consortium, and supported by modern web browsers. The PNG format was developed when it was discovered by the entire development community in early 1995 that the GIF image format uses LZW compression, technology which was patented in 1985 by Unisys corporation. The initial developers of the GIF format, Compuserve, was not aware of this at the time of it's development in 1987. Now commercial and non-commercial software developers who's application supports the reading or writing of GIF or LZW TIFF images must pay substantial royalties and fees. In addition web developers who use any non Microsoft application to generate GIF images directly to a web server also have to pay similar royalties and fees. The PNG format does not have any patent restrictions and can be read and written freely by software developers and webmasters alike.

What about GIF?
GIF images can only be saved as an 8-bit colormapped image, which means you are limited to 256 colors. Remember the GIF format was developed back when most PC's only had the capability of 256 colors. PNG can be saved not only as 8 bit, but also 24 bit and higher up to 64 bit! GIF images allow one out of the possible 256 colors to be fully transparent. As we discuss below, PNG has a much higher level of transparency support. Another benefit of PNG over GIF is typically the filesize of a PNG is about 20% smaller then the same GIF image. Finally, as discussed in the PNG overview above, GIF has patent restrictions with it's use.

There is one advantage that GIF has over PNG, and that is animation support. Due to the problems with supporting one image format that can be either static, or animated, the PNG group decided to call the animated version MNG. Unfortunately browser support for MNG is terrible, and at the time of this writing, not practical to use on the web.

What about TIFF?
The TIFF image format has been around for a long time, and will likely be around for quite a while more. The TIFF format was the cross-platform image format by choice until PNG was introduced, and according to some still is. The TIFF format is a developers nightmare. Last I counted there was over 50 different styles of TIFF images. You never know if an application will be able to read a TIFF image or not. One of the more popular TIFF's is the 24-bit LZW compressed version. This has the same patent restrictions as the GIF format does, but until PNG, was the only standard lossless compressed format. The standard 24 Bit PNG functionally is very similar in function to a LZW compressed TIFF. The TIFF format remains to be popular, but there is no reason to use it with the added benefits of PNG.

What about JPEG?
Unlike PNG, JPEG uses a lossy compression routine. Lossy compression means that the image loses quality and information each time it is saved. Because JPEG uses lossy compression, the filesize is almost always smaller then a PNG, especially for photographic images. Care must be taken when working with JPEG images as each time a JPEG is re-saved, more and more compression artifacts are introduced. Since PNG uses lossless compression it's an ideal format ideal for archival purposes, and for editing before saving a final version as a JPEG. JPEG is the most common image format used on the web, and will continue to be. Most photographic images should be saved as JPEG as opposed to PNG for viewing on the web as the filesize will be much smaller.

All About Alpha

The features we have discussed so far are probably enough to convert anyone into a PNG user. However, perhaps the best thing a PNG has to offer is what's called the alpha channel. An alpha channel is one byte of extra data per pixel (or palette entry for 8-bit images) that represents the transparency level of a pixel. A PNG image with alpha is capable of 256 levels of transparency. What does all this mean? For one thing, you can antialias text and images so that sharp curves look good against any background. You can apply a true drop shadow which fades into the background. You can create images that take any shape or form. There are many possibilities with alpha transparency.

Browser Support
The unfortunate thing with alpha in PNG's is that browser support is way behind the times, although slowly catching up. Although both Netscape 4.04+ and Internet Explorer 4.0+ both read PNG images, the windows version of MSIE 5.0 can only read one level of transparency in 8-bit PNG's (the Mac version of MSIE5.0 works perfectly!). At least this allows for direct conversion of GIF's to PNG's. The good news is that the new Mozilla browser (the browser behind Netscape 6.0) fully supports PNG alpha. Microsoft should catch up very soon!

Alpha Examples
The images on the left are the original PNG's, the images in the middle are JPEG's that were created fromth the original PNG overlayed onto a background, and the images on the right are JPEG's that were created from the original PNG and overlayed onto the same background as the table.

original toucan image courtesy of Stefan Schneider Software original icicle image courtesy of Pieter S. van der Meulen
Original 32-bit PNG image with alpha. The alpha will not work properly with most browsers as you should see the background through the image. | Converted to JPEG overlayed onto a tiled background | Converted to JPEG overlayed onto same background as table (notice mismatch in image background and table background)

Other PNG Goodies

Gamma
Another nice feature of PNG images is the ability to adjust gamma based on monitor settings. Normally, the same image viewed on a Macintosh will look much lighter then when viewed on a Windows PC. By storing gamma information in an image, it can always be viewed the way it was originally intended to be viewed, as long as the application reading the PNG takes note of the gamma.

Interlacing
When viewing either large images, or images under a slow connection, it is nice to be able to see an image gradually take form instead of waiting a long time until it suddenly appears. JPEG accomplishes this with a top to bottom progressive display while PNG can use an interlacing scheme. If a PNG is not interlaced it is viewed progressively. PNG interlacing (formally known as Adam 7) begins by only reading a small percentage of all the data and filling in the empty spaces with an interpolated color value. For every time step, more information is rendered, replacing the "in-between" interpolated colors with the real colors until finally all the data is loaded and rendered. The GIF format can also be interlaced, but the quality is not nearly as good, or fast as a PNG as GIF interlacing is only one-dimensional.

Conclusion

It is obvious that PNG has many advantages over the GIF and even TIFF image format. If you're a web designer, start thinking about replacing your GIF images with PNG. There are plenty of tools out there that will do this conversion for you, albeit only some have a license from Unisys (as a warning, you could be liable if you generate GIF images with an unlicensed application). The eventual obsoletion of the GIF format will not only be a benefit to developers and webmasters, but will enhance everyone's web experience, especially with the inclusion of alpha transparency support in many web pages. For more information on the PNG format, be sure to visit the Official PNG Home Page. For information on the legal implications of using GIF images, especially created by unlicensed applications, see the statement from the patent holders, Unisys.


Title

EyeBatch 1.5

Powerful and intuitive image batch processing!

Atalasoft